
# Les outils FLOSS qu'on utilise déjà

- **GitLab** (sauf partie Premium)
- **Metabase**
- **Uptime Kuma**
- (SonarQube)

---
# Les switchs que l'on a déjà fait

- **Google Analytics** => Matomo
- **Google Meet** => kMeet

---
# Les outils qu'on ne veut pas encore changer

- **Slack** (kChat, RocketChat, Matermost,..)
- **Jelastic** (Kubernetes)
- **Notion**
- **GitHub** (GitLab, Forgejo/Codeberg)
- **Whimsical**
- **Hubspot**

---
# Les outils qu'on peut switcher pour un gros impact

- **GMail** (Infomaniak Mail)
- **Google Drive** (kDrive, NextCloud)
- **Google Calendar** (Infomaniak et/ou cal privés)

> C'est ici qu'il serait bien d'agir aujourd'hui

---
# Les outils qu'on peut switcher en second temps

- **LastPass** (1Password, KeePass)
- **Freshdesk**
- **Harvest**
- **Glassfrog** (Organigraph)

> Ce serait cool mais ils représentent un impact moindre.
> Notamment car ce n'est pas des GAFAM.

---
# Ce que l'on cherche

- Protéger nos données, notamment des lois américaines
- Ne pas promouvoir des produits des GAFAM (Acheter/Utiliser c'est voter)
- Promouvoir le logiciel libre et les communs digitaux
- Être cohérents avec notre raison d'être et nos stratégies
- Ne pas se mettre de (trop gros) bâtons dans les roues

---

Les outils GAFAM sont particulièrement confortables et inégalables
sur le côté pratique.

- **Qu'est-ce qu'on est prêt à faire personnellement ?**
- **Qu'est-ce qui nous bloque avec les outils utilisés et comment on peut retirer ce blocage ?**

---
# Google Drive
## Points potentiellement bloquants

- Choix de fonts personnalisée (X)
- Gestion des templates (X, H, L)
- Collaboration internationale (L)
- Communication externe (L)

## Alternatives
### kDrive

- Bien moins cher (3.67CHF/user 1ère année puis 7.33CH ensuite)
  - Le prix est pour toute la kSuite: https://www.infomaniak.com/fr/ksuite/tarifs
- Personnalisable avec nom de domaine
- Hébergement en Suisse et donc sous loi CH
- Garanti sans analyse de données
- Import facile depuis GDrive
- Hosting le + écolo possible
- Propose une API REST
- Connexion WebDav

### NextCloud

- Open-Source (AGPL 3, PHP)
- Self-hostable donc forte maîtrise des données
- Gratuit mais frais d'installation, d'hosting et de maintenance
- Référence en tant que concurrent de GDrive
- Connexion WebDav
- Modulable

---
# GMail
## Points potentiellement bloquants

- Utilisation des addons Hubspot et Calendly (X)
- Prise en main du client mail (X,T,S)
- Intégration au calendar (L)
- Incertitude sur comment fonctionne l'auth Google quand on aura migrer les mails (T)

> Si on migre, on doit garder un moment un compte Google avec l'email qui deviendrait du genre @g.octree.ch

## Alternatives
### Infomaniak Mail

- Pas encore d'app mobile maison (en cours) mais compatible avec toute app de mail
- Intégration avec le Calendar Infomaniak et aussi Contacts et Tâches
- Quand on accepte, ça se voit sur Google
- Possible d'importer des mails
- Pas d'analyse, hébergement en CH
- Mode nuit <3

---
# Google Calendar
## Point potentiellement bloquants

- Communication avec les autres services de calendar, notamment Google
- *D'autres points bloquants ?*

## Alternatives
### Infomaniak Calendar

- Fortement inspiré de Google
- Possible de lier rapidement un lien kMeet
- Compatible avec tous les systèmes de calendar standards
- Import facile depuis Google
- Possible de partager la gestion du calendrier avec des personnes extérieures

---

# Check-list migration

- [x] Migrer le nom de domaine Google vers g.octree.ch
- [x] Prendre un abo kSuite Pro
- [x] Créer compte par utilisateur
- [x] Migrer le DNS MX vers Infomaniak
- [ ] Utiliser le SMTP de Infomaniak plutôt que Google pour
    - [ ] GitLab
    - [x] Matomo
- [x] Créer les alias mail côté Infomaniak (sysadmin, hello, team, webmasters, caroster, comptabilite)
- [ ] Faciliter l'invitation de toute l'équipe à un événement
- [ ] Créer un agenda partagé pour réservation de la salle et communiquer
- [x] Migrer les fichiers gDrive vers kDrive
- [ ] Repasser sur les docs migrer pour s'assurer que le formatage est correcte
- [ ] Perso: Migrer ses mails Google vers Infomaniak
- [ ] Perso: Synchroniser ses événements Google dans le calendar Infomaniak


## Validation

- [x] Tester qu'on arrive à se connecter avec une adresse @g.octree.ch
- [ ] Tester que les fichiers en format "Google" sont lisibles côté kDrive
